Index: issm/trunk/src/c/classes/Params/Parameters.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/Parameters.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/Parameters.cpp	(revision 18301)
@@ -40,12 +40,10 @@
 
 /*Object constructors and destructor*/
-/*FUNCTION Parameters::Parameters(){{{*/
-Parameters::Parameters(){
+Parameters::Parameters(){/*{{{*/
 	enum_type=ParametersEnum;
 	return;
 }
 /*}}}*/
-/*FUNCTION Parameters::~Parameters(){{{*/
-Parameters::~Parameters(){
+Parameters::~Parameters(){/*{{{*/
 	return;
 }
@@ -53,6 +51,5 @@
 
 /*Object management*/
-/*FUNCTION Parameters::Exist{{{*/
-bool Parameters::Exist(int enum_type){
+bool Parameters::Exist(int enum_type){/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -66,6 +63,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(bool* pbool,int enum_type){{{*/
-void Parameters::FindParam(bool* pbool,int enum_type){ _assert_(this);
+void Parameters::FindParam(bool* pbool,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -83,6 +79,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(int* pinteger,int enum_type){{{*/
-void Parameters::FindParam(int* pinteger,int enum_type){ _assert_(this);
+void Parameters::FindParam(int* pinteger,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -100,6 +95,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(IssmDouble* pscalar, int enum_type){{{*/
-void Parameters::FindParam(IssmDouble* pscalar, int enum_type){ _assert_(this);
+void Parameters::FindParam(IssmDouble* pscalar, int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -114,9 +108,8 @@
 		}
 	}
-	_error_("could not find parameter " << EnumToStringx(enum_type));
-}
-/*}}}*/
-/*FUNCTION Parameters::FindParam(IssmDouble* pscalar, int enum_type,IssmDouble time){{{*/
-void Parameters::FindParam(IssmDouble* pscalar, int enum_type,IssmDouble time){ _assert_(this);
+	_error_("could not find parameter " <<  EnumToStringx(enum_type));
+}
+/*}}}*/
+void Parameters::FindParam(IssmDouble* pscalar, int enum_type,IssmDouble time){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -134,6 +127,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(char** pstring,int enum_type){{{*/
-void Parameters::FindParam(char** pstring,int enum_type){ _assert_(this);
+void Parameters::FindParam(char** pstring,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -152,6 +144,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(char*** pstringarray,int* pM,int enum_type){{{*/
-void Parameters::FindParam(char*** pstringarray,int* pM,int enum_type){ _assert_(this);
+void Parameters::FindParam(char*** pstringarray,int* pM,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -170,6 +161,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(int** pintarray,int* pM,int enum_type){{{*/
-void Parameters::FindParam(int** pintarray,int* pM, int enum_type){ _assert_(this);
+void Parameters::FindParam(int** pintarray,int* pM, int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -188,6 +178,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(int** pintarray,int* pM,int* pN,int enum_type){{{*/
-void Parameters::FindParam(int** pintarray,int* pM,int *pN,int enum_type){ _assert_(this);
+void Parameters::FindParam(int** pintarray,int* pM,int *pN,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -206,6 +195,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(IssmDouble** pIssmDoublearray,int* pM,int enum_type){{{*/
-void Parameters::FindParam(IssmDouble** pIssmDoublearray,int* pM, int enum_type){ _assert_(this);
+void Parameters::FindParam(IssmDouble** pIssmDoublearray,int* pM, int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -224,6 +212,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(IssmDouble** pIssmDoublearray,int* pM, int* pN,int enum_type){{{*/
-void Parameters::FindParam(IssmDouble** pIssmDoublearray,int* pM, int* pN,int enum_type){ _assert_(this);
+void Parameters::FindParam(IssmDouble** pIssmDoublearray,int* pM, int* pN,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -242,6 +229,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(IssmDouble*** parray,int* pM,int** pmdims_array,int** pndims_array,int enum_type){{{*/
-void Parameters::FindParam(IssmDouble*** parray,int* pM,int** pmdims_array,int** pndims_array,int enum_type){ _assert_(this);
+void Parameters::FindParam(IssmDouble*** parray,int* pM,int** pmdims_array,int** pndims_array,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -259,6 +245,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(Vector<IssmDouble>** pvec,int enum_type){{{*/
-void Parameters::FindParam(Vector<IssmDouble>** pvec,int enum_type){ _assert_(this);
+void Parameters::FindParam(Vector<IssmDouble>** pvec,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -277,6 +262,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(Matrix<IssmDouble>** pmat,int enum_type){{{*/
-void Parameters::FindParam(Matrix<IssmDouble>** pmat,int enum_type){ _assert_(this);
+void Parameters::FindParam(Matrix<IssmDouble>** pmat,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -295,6 +279,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(FILE** pfid,int enum_type){{{*/
-void Parameters::FindParam(FILE** pfid,int enum_type){ _assert_(this);
+void Parameters::FindParam(FILE** pfid,int enum_type){ _assert_(this);/*{{{*/
 
 	vector<Object*>::iterator object;
@@ -312,6 +295,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::FindParam(DataSet** pdataset,int enum_type){{{*/
-void Parameters::FindParam(DataSet** pdataset,int enum_type){ 
+void Parameters::FindParam(DataSet** pdataset,int enum_type){ /*{{{*/
 	_assert_(this);
 
@@ -331,6 +313,5 @@
 /*}}}*/
 
-/*FUNCTION Parameters::SetParam(bool boolean,int enum_type);{{{*/
-void   Parameters::SetParam(bool boolean,int enum_type){
+void   Parameters::SetParam(bool boolean,int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -343,6 +324,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(int integer,int enum_type);{{{*/
-void   Parameters::SetParam(int integer,int enum_type){
+void   Parameters::SetParam(int integer,int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -355,6 +335,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(IssmDouble scalar,int enum_type);{{{*/
-void   Parameters::SetParam(IssmDouble scalar,int enum_type){
+void   Parameters::SetParam(IssmDouble scalar,int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -367,6 +346,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(char* string,int enum_type);{{{*/
-void   Parameters::SetParam(char* string,int enum_type){
+void   Parameters::SetParam(char* string,int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -379,6 +357,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(char** stringarray,int M, int enum_type);{{{*/
-void   Parameters::SetParam(char** stringarray,int M, int enum_type){
+void   Parameters::SetParam(char** stringarray,int M, int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -391,6 +368,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(IssmDouble* IssmDoublearray,int M,int enum_type);{{{*/
-void   Parameters::SetParam(IssmDouble* IssmDoublearray,int M, int enum_type){
+void   Parameters::SetParam(IssmDouble* IssmDoublearray,int M, int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -403,6 +379,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(IssmDouble* IssmDoublearray,int M,int N, int enum_type);{{{*/
-void   Parameters::SetParam(IssmDouble* IssmDoublearray,int M, int N, int enum_type){
+void   Parameters::SetParam(IssmDouble* IssmDoublearray,int M, int N, int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -415,6 +390,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(int* intarray,int M,int enum_type);{{{*/
-void   Parameters::SetParam(int* intarray,int M, int enum_type){
+void   Parameters::SetParam(int* intarray,int M, int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -427,6 +401,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(int* intarray,int M,int N, int enum_type);{{{*/
-void   Parameters::SetParam(int* intarray,int M, int N, int enum_type){
+void   Parameters::SetParam(int* intarray,int M, int N, int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -439,6 +412,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(Vector<IssmDouble>* vector,int enum_type);{{{*/
-void   Parameters::SetParam(Vector<IssmDouble>* vector,int enum_type){
+void   Parameters::SetParam(Vector<IssmDouble>* vector,int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -451,6 +423,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(Matrix<IssmDouble>* matrix,int enum_type);{{{*/
-void   Parameters::SetParam(Matrix<IssmDouble>* matrix,int enum_type){
+void   Parameters::SetParam(Matrix<IssmDouble>* matrix,int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -463,6 +434,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(FILE* fid,int enum_type);{{{*/
-void   Parameters::SetParam(FILE* fid,int enum_type){
+void   Parameters::SetParam(FILE* fid,int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -475,6 +445,5 @@
 }
 /*}}}*/
-/*FUNCTION Parameters::SetParam(DataSet* dataset, int enum_type);{{{*/
-void   Parameters::SetParam(DataSet* dataset,int enum_type){
+void   Parameters::SetParam(DataSet* dataset,int enum_type){/*{{{*/
 
 	Param* param=NULL;
@@ -488,6 +457,5 @@
 /*}}}*/
 
-/*FUNCTION Parameters::FindParamObject{{{*/
-Object* Parameters::FindParamObject(int enum_type){
+Object* Parameters::FindParamObject(int enum_type){/*{{{*/
 
 	vector<Object*>::iterator object;
Index: issm/trunk/src/c/classes/Params/StringArrayParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/StringArrayParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/StringArrayParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*StringArrayParam constructors and destructor*/
-/*FUNCTION StringArrayParam::StringArrayParam(){{{*/
-StringArrayParam::StringArrayParam(){
+StringArrayParam::StringArrayParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION StringArrayParam::StringArrayParam(int enum_type,char** in_values,int in_numstrings){{{*/
-StringArrayParam::StringArrayParam(int in_enum_type,char** in_values, int in_numstrings){
+StringArrayParam::StringArrayParam(int in_enum_type,char** in_values, int in_numstrings){/*{{{*/
 
 	int i;
@@ -44,6 +42,5 @@
 }
 /*}}}*/
-/*FUNCTION StringArrayParam::~StringArrayParam(){{{*/
-StringArrayParam::~StringArrayParam(){
+StringArrayParam::~StringArrayParam(){/*{{{*/
 
 	int i;
@@ -59,11 +56,9 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION StringArrayParam::Echo {{{*/
-void StringArrayParam::Echo(void){
+void StringArrayParam::Echo(void){/*{{{*/
 	this->DeepEcho();
 }
 /*}}}*/
-/*FUNCTION StringArrayParam::DeepEcho{{{*/
-void StringArrayParam::DeepEcho(void){
+void StringArrayParam::DeepEcho(void){/*{{{*/
 
 	_printf_(setw(22)<<"   StringArrayParam "<<setw(35)<<left<<EnumToStringx(this->enum_type)<<" {");
@@ -72,9 +67,7 @@
 }
 /*}}}*/
-/*FUNCTION StringArrayParam::Id{{{*/
-int    StringArrayParam::Id(void){ return -1; }
+int    StringArrayParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION StringArrayParam::ObjectEnum{{{*/
-int StringArrayParam::ObjectEnum(void){
+int StringArrayParam::ObjectEnum(void){/*{{{*/
 
 	return StringArrayParamEnum;
@@ -82,6 +75,5 @@
 }
 /*}}}*/
-/*FUNCTION StringArrayParam::copy{{{*/
-Object* StringArrayParam::copy() {
+Object* StringArrayParam::copy() {/*{{{*/
 
 	return new StringArrayParam(this->enum_type,this->value,this->numstrings);
@@ -91,6 +83,5 @@
 
 /*StringArrayParam virtual functions definitions: */
-/*FUNCTION StringArrayParam::GetParameterValue{{{*/
-void  StringArrayParam::GetParameterValue(char*** pstringarray,int* pM){
+void  StringArrayParam::GetParameterValue(char*** pstringarray,int* pM){/*{{{*/
 
 	int   i;
@@ -122,6 +113,5 @@
 }
 /*}}}*/
-/*FUNCTION StringArrayParam::SetValue{{{*/
-void  StringArrayParam::SetValue(char** stringarray,int M){
+void  StringArrayParam::SetValue(char** stringarray,int M){/*{{{*/
 
 	int   i;
Index: issm/trunk/src/c/classes/Params/StringParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/StringParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/StringParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*StringParam constructors and destructor*/
-/*FUNCTION StringParam::StringParam(){{{*/
-StringParam::StringParam(){
+StringParam::StringParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION StringParam::StringParam(int enum_type,IssmString value){{{*/
-StringParam::StringParam(int in_enum_type,char* in_value){
+StringParam::StringParam(int in_enum_type,char* in_value){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -30,6 +28,5 @@
 }
 /*}}}*/
-/*FUNCTION StringParam::~StringParam(){{{*/
-StringParam::~StringParam(){
+StringParam::~StringParam(){/*{{{*/
 	xDelete<char>(value);
 }
@@ -37,19 +34,15 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION StringParam::Echo {{{*/
-void StringParam::Echo(void){
+void StringParam::Echo(void){/*{{{*/
 	this->DeepEcho();
 }
 /*}}}*/
-/*FUNCTION StringParam::DeepEcho{{{*/
-void StringParam::DeepEcho(void){
+void StringParam::DeepEcho(void){/*{{{*/
 	_printf_(setw(22)<<"   StringParam "<<setw(35)<<left<<EnumToStringx(this->enum_type)<<" "<<this->value<<"\n");
 }
 /*}}}*/
-/*FUNCTION StringParam::Id{{{*/
-int    StringParam::Id(void){ return -1; }
+int    StringParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION StringParam::ObjectEnum{{{*/
-int StringParam::ObjectEnum(void){
+int StringParam::ObjectEnum(void){/*{{{*/
 
 	return StringParamEnum;
@@ -57,6 +50,5 @@
 }
 /*}}}*/
-/*FUNCTION StringParam::copy{{{*/
-Object* StringParam::copy() {
+Object* StringParam::copy() {/*{{{*/
 
 	return new StringParam(this->enum_type,this->value);
@@ -66,6 +58,5 @@
 
 /*StringParam virtual functions definitions: */
-/*FUNCTION StringParam::GetParameterValue{{{*/
-void  StringParam::GetParameterValue(char** pstring){
+void  StringParam::GetParameterValue(char** pstring){/*{{{*/
 
 	char* outstring=NULL;
@@ -81,6 +72,5 @@
 }
 /*}}}*/
-/*FUNCTION StringParam::SetValue{{{*/
-void  StringParam::SetValue(char* string){
+void  StringParam::SetValue(char* string){/*{{{*/
 
 	int   stringsize;
Index: issm/trunk/src/c/classes/Params/TransientParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/TransientParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/TransientParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*TransientParam constructors and destructor*/
-/*FUNCTION TransientParam::TransientParam(){{{*/
-TransientParam::TransientParam(){
+TransientParam::TransientParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION TransientParam::TransientParam(int enum_type,IssmDoubleMat value){{{*/
-TransientParam::TransientParam(int in_enum_type,IssmDouble* in_values,IssmDouble* in_time,int in_N){
+TransientParam::TransientParam(int in_enum_type,IssmDouble* in_values,IssmDouble* in_time,int in_N){/*{{{*/
 
 	_assert_(in_values && in_time);
@@ -36,6 +34,5 @@
 }
 /*}}}*/
-/*FUNCTION TransientParam::~TransientParam(){{{*/
-TransientParam::~TransientParam(){
+TransientParam::~TransientParam(){/*{{{*/
 	xDelete<IssmDouble>(values);
 	xDelete<IssmDouble>(timesteps);
@@ -44,6 +41,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION TransientParam::Echo {{{*/
-void TransientParam::Echo(void){
+void TransientParam::Echo(void){/*{{{*/
 
 	_printf_("TransientParam:\n");
@@ -53,6 +49,5 @@
 }
 /*}}}*/
-/*FUNCTION TransientParam::DeepEcho{{{*/
-void TransientParam::DeepEcho(void){
+void TransientParam::DeepEcho(void){/*{{{*/
 
 	_printf_("TransientParam:\n");
@@ -64,9 +59,7 @@
 }
 /*}}}*/
-/*FUNCTION TransientParam::Id{{{*/
-int    TransientParam::Id(void){ return -1; }
+int    TransientParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION TransientParam::ObjectEnum{{{*/
-int TransientParam::ObjectEnum(void){
+int TransientParam::ObjectEnum(void){/*{{{*/
 
 	return TransientParamEnum;
@@ -74,6 +67,5 @@
 }
 /*}}}*/
-/*FUNCTION TransientParam::copy{{{*/
-Object* TransientParam::copy() {
+Object* TransientParam::copy() {/*{{{*/
 
 	return new TransientParam(this->enum_type,this->values,this->timesteps,this->N);
@@ -83,6 +75,5 @@
 
 /*TransientParam virtual functions definitions: */
-/*FUNCTION TransientParam::GetParameterValue(IssmDouble* pdouble,IssmDouble time){{{*/
-void  TransientParam::GetParameterValue(IssmDouble* pdouble,IssmDouble time){
+void  TransientParam::GetParameterValue(IssmDouble* pdouble,IssmDouble time){/*{{{*/
 
 	IssmDouble output;
Index: issm/trunk/src/c/classes/Params/VectorParam.cpp
===================================================================
--- issm/trunk/src/c/classes/Params/VectorParam.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Params/VectorParam.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*VectorParam constructors and destructor*/
-/*FUNCTION VectorParam::VectorParam(){{{*/
-VectorParam::VectorParam(){
+VectorParam::VectorParam(){/*{{{*/
 	return;
 }
 /*}}}*/
-/*FUNCTION VectorParam::VectorParam(int enum_type,IssmVector value){{{*/
-VectorParam::VectorParam(int in_enum_type,Vector<IssmDouble>* in_value){
+VectorParam::VectorParam(int in_enum_type,Vector<IssmDouble>* in_value){/*{{{*/
 
 	enum_type=in_enum_type;
@@ -34,6 +32,5 @@
 }
 /*}}}*/
-/*FUNCTION VectorParam::~VectorParam(){{{*/
-VectorParam::~VectorParam(){
+VectorParam::~VectorParam(){/*{{{*/
 	delete value;
 }
@@ -41,6 +38,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION VectorParam::Echo {{{*/
-void VectorParam::Echo(void){
+void VectorParam::Echo(void){/*{{{*/
 
 	_printf_("VectorParam:\n");
@@ -49,6 +45,5 @@
 }
 /*}}}*/
-/*FUNCTION VectorParam::DeepEcho{{{*/
-void VectorParam::DeepEcho(void){
+void VectorParam::DeepEcho(void){/*{{{*/
 
 	_printf_("VectorParam:\n");
@@ -57,9 +52,7 @@
 }
 /*}}}*/
-/*FUNCTION VectorParam::Id{{{*/
-int    VectorParam::Id(void){ return -1; }
+int    VectorParam::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION VectorParam::ObjectEnum{{{*/
-int VectorParam::ObjectEnum(void){
+int VectorParam::ObjectEnum(void){/*{{{*/
 
 	return VectorParamEnum;
@@ -67,6 +60,5 @@
 }
 /*}}}*/
-/*FUNCTION VectorParam::copy{{{*/
-Object* VectorParam::copy() {
+Object* VectorParam::copy() {/*{{{*/
 
 	return new VectorParam(this->enum_type,this->value);
@@ -76,6 +68,5 @@
 
 /*VectorParam virtual functions definitions: */
-/*FUNCTION VectorParam::GetParameterValue{{{*/
-void  VectorParam::GetParameterValue(Vector<IssmDouble>** poutput){
+void  VectorParam::GetParameterValue(Vector<IssmDouble>** poutput){/*{{{*/
 	Vector<IssmDouble>*  output=NULL;
 
@@ -87,6 +78,5 @@
 }
 /*}}}*/
-/*FUNCTION VectorParam::SetValue{{{*/
-void  VectorParam::SetValue(Vector<IssmDouble>* vector){
+void  VectorParam::SetValue(Vector<IssmDouble>* vector){/*{{{*/
 
 	/*avoid leak: */
Index: issm/trunk/src/c/classes/Profiler.cpp
===================================================================
--- issm/trunk/src/c/classes/Profiler.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Profiler.cpp	(revision 18301)
@@ -17,6 +17,5 @@
 
 /*Profiler constructors and destructors:*/
-/*FUNCTION Profiler::Profiler() default constructor {{{*/
-Profiler::Profiler(){
+Profiler::Profiler(){/*{{{*/
 		 this->time=new Parameters();
 		 this->flops=new Parameters();
@@ -24,6 +23,5 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::~Profiler(){{{*/
-Profiler::~Profiler(){
+Profiler::~Profiler(){/*{{{*/
 	delete time;
 	delete flops;
@@ -31,8 +29,22 @@
 }
 /*}}}*/
+Object* Profiler::copy(){/*{{{*/
+	/*First do simple copy: */
+	Profiler* output=new Profiler();
+	delete output->time;
+	delete output->flops;
+	delete output->memory;
+
+	/*Now for deep copy: */
+	output->time=(Parameters*)this->time->Copy();
+	output->flops=(Parameters*)this->flops->Copy();
+	output->memory=(Parameters*)this->memory->Copy();
+
+	return (Object*)output;
+}
+/*}}}*/
 
 /*Object virtual functions definitions:*/
-/*FUNCTION Profiler::Echo{{{*/
-void Profiler::Echo(void){
+void Profiler::Echo(void){/*{{{*/
 
 	_printf_("Profiler:\n");
@@ -42,6 +54,5 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::DeepEcho{{{*/
-void Profiler::DeepEcho(void){
+void Profiler::DeepEcho(void){/*{{{*/
 
 	_printf_("Profiler:\n");
@@ -51,9 +62,7 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::Id{{{*/
-int    Profiler::Id(void){ return -1; }
+int  Profiler::Id(void){ return -1; }/*{{{*/
 /*}}}*/
-/*FUNCTION Profiler::ObjectEnum{{{*/
-int Profiler::ObjectEnum(void){
+int  Profiler::ObjectEnum(void){/*{{{*/
 
 	return ProfilerEnum;
@@ -63,6 +72,5 @@
 
 /*Profiler routines:*/
-/*FUNCTION Profiler::Tag {{{*/
-void  Profiler::Tag(int tagenum,bool dontmpisync){
+void  Profiler::Tag(int tagenum,bool dontmpisync){/*{{{*/
 
 	IssmDouble t;
@@ -98,6 +106,5 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::DeltaTime {{{*/
-IssmDouble  Profiler::DeltaTime(int inittag, int finaltag){
+IssmDouble  Profiler::DeltaTime(int inittag, int finaltag){/*{{{*/
 
 	IssmDouble init, final;
@@ -112,6 +119,5 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::DeltaFlops {{{*/
-IssmDouble  Profiler::DeltaFlops(int inittag, int finaltag){
+IssmDouble  Profiler::DeltaFlops(int inittag, int finaltag){/*{{{*/
 
 	IssmDouble init, final;
@@ -122,6 +128,5 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::DeltaTimeModHour {{{*/
-int Profiler::DeltaTimeModHour(int inittag, int finishtag){
+int Profiler::DeltaTimeModHour(int inittag, int finishtag){/*{{{*/
 
 	IssmDouble init, finish;
@@ -137,6 +142,5 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::DeltaTimeModMin {{{*/
-int Profiler::DeltaTimeModMin(int inittag, int finishtag){
+int Profiler::DeltaTimeModMin(int inittag, int finishtag){/*{{{*/
 
 	IssmDouble init, finish;
@@ -151,6 +155,5 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::DeltaTimeModSec {{{*/
-int Profiler::DeltaTimeModSec(int inittag, int finishtag){
+int Profiler::DeltaTimeModSec(int inittag, int finishtag){/*{{{*/
 
 	IssmDouble init, finish;
@@ -165,6 +168,5 @@
 }
 /*}}}*/
-/*FUNCTION Profiler::Memory {{{*/
-IssmDouble  Profiler::Memory(int tag){
+IssmDouble  Profiler::Memory(int tag){/*{{{*/
 
 	IssmDouble m;
Index: issm/trunk/src/c/classes/Profiler.h
===================================================================
--- issm/trunk/src/c/classes/Profiler.h	(revision 18081)
+++ issm/trunk/src/c/classes/Profiler.h	(revision 18301)
@@ -42,5 +42,5 @@
 		int     Id();
 		int     ObjectEnum();
-		Object *copy()        {_error_("Not implemented yet"); };
+		Object *copy();
 		/*}}}*/
 		/*Profiler routines {{{*/
Index: issm/trunk/src/c/classes/Segment.h
===================================================================
--- issm/trunk/src/c/classes/Segment.h	(revision 18081)
+++ issm/trunk/src/c/classes/Segment.h	(revision 18301)
@@ -23,6 +23,5 @@
 
 		/*Segment constructors, destructors :*/
-		/*FUNCTION Segment() default constructor {{{*/
-		Segment(){
+		Segment(){/*{{{*/
 			this->eid = UNDEF;
 			this->x1  = UNDEF;
@@ -32,6 +31,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION Segment(int eid, doubletype x1,doubletype y1,doubletype x2, doubletype y2){{{*/
-		Segment(int segment_eid, doubletype segment_x1,doubletype segment_y1,doubletype segment_x2, doubletype segment_y2){
+		Segment(int segment_eid, doubletype segment_x1,doubletype segment_y1,doubletype segment_x2, doubletype segment_y2){/*{{{*/
 
 			this->eid = segment_eid;
@@ -43,12 +41,10 @@
 		}
 		/*}}}*/
-		/*FUNCTION ~Segment(){{{*/
-		~Segment(){
+		~Segment(){/*{{{*/
 		}
 		/*}}}*/
 
 		/*Object virtual functions definitions:*/
-		/*FUNCTION Echo{{{*/
-		void Echo(void){
+		void Echo(void){/*{{{*/
 
 			_printf_("Segment:\n");
@@ -59,14 +55,11 @@
 		}
 		/*}}}*/
-		/*FUNCTION DeepEcho{{{*/
-		void DeepEcho(void){
+		void DeepEcho(void){/*{{{*/
 			this->Echo();
 		}
 		/*}}}*/
-		/*FUNCTION Id{{{*/
-		int    Id(void){ return eid; }
+		int    Id(void){ return eid; }/*{{{*/
 		/*}}}*/
-		/*FUNCTION ObjectEnum{{{*/
-		int ObjectEnum(void){
+		int ObjectEnum(void){/*{{{*/
 
 			return SegmentEnum;
@@ -74,6 +67,5 @@
 		}
 		/*}}}*/
-		/*FUNCTION copy {{{*/
-		Object* copy() {
+		Object* copy() {/*{{{*/
 			return new Segment(this->eid,this->x1,this->y1,this->x2,this->y2);
 		}
Index: issm/trunk/src/c/classes/Vertex.cpp
===================================================================
--- issm/trunk/src/c/classes/Vertex.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Vertex.cpp	(revision 18301)
@@ -16,11 +16,9 @@
 
 /*Vertex constructors and destructor:*/
-/*FUNCTION Vertex::Vertex() {{{*/
-Vertex::Vertex(){
-	return;
-}
-/*}}}*/
-/*FUNCTION Vertex::Vertex(int vertex_id, int vertex_sid,int i, IoModel* iomodel) {{{*/
-Vertex::Vertex(int vertex_id, int vertex_sid,int i, IoModel* iomodel){
+Vertex::Vertex(){/*{{{*/
+	return;
+}
+/*}}}*/
+Vertex::Vertex(int vertex_id, int vertex_sid,int i, IoModel* iomodel){/*{{{*/
 
 	this->id           = vertex_id;
@@ -49,6 +47,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::~Vertex() {{{*/
-Vertex::~Vertex(){
+Vertex::~Vertex(){/*{{{*/
 	return;
 }
@@ -56,6 +53,5 @@
 
 /*Object virtual functions definitions:*/
-/*FUNCTION Vertex::Echo{{{*/
-void Vertex::Echo(void){
+void Vertex::Echo(void){/*{{{*/
 
 	_printf_("Vertex:\n");
@@ -73,14 +69,11 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::DeepEcho{{{*/
-void Vertex::DeepEcho(void){
+void Vertex::DeepEcho(void){/*{{{*/
 	this->Echo();
 }
 /*}}}*/
-/*FUNCTION Vertex::Id{{{*/
-int    Vertex::Id(void){ return id; }
-/*}}}*/
-/*FUNCTION Vertex::ObjectEnum{{{*/
-int Vertex::ObjectEnum(void){
+int Vertex::Id(void){ return id; }/*{{{*/
+/*}}}*/
+int Vertex::ObjectEnum(void){/*{{{*/
 
 	return VertexEnum;
@@ -88,6 +81,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::copy {{{*/
-Object* Vertex::copy() {
+Object* Vertex::copy() {/*{{{*/
 
 	return new Vertex(*this); 
@@ -97,30 +89,23 @@
 
 /*Vertex management: */
-/*FUNCTION Vertex::Connectivity{{{*/
-int    Vertex::Connectivity(void){return connectivity;}
-/*}}}*/
-/*FUNCTION Vertex::GetX {{{*/
-IssmDouble Vertex::GetX(){
+int        Vertex::Connectivity(void){return connectivity;}/*{{{*/
+/*}}}*/
+IssmDouble Vertex::GetX(){/*{{{*/
 	return this->x;
 }
 /*}}}*/
-/*FUNCTION Vertex::GetY {{{*/
-IssmDouble Vertex::GetY(){
+IssmDouble Vertex::GetY(){/*{{{*/
 	return this->y;
 }
 /*}}}*/
-/*FUNCTION Vertex::GetZ {{{*/
-IssmDouble Vertex::GetZ(){
+IssmDouble Vertex::GetZ(){/*{{{*/
 	return this->z;
 }
 /*}}}*/
-/*FUNCTION Vertex::Sid{{{*/
-int    Vertex::Sid(void){ return sid; }
-/*}}}*/
-/*FUNCTION Vertex::Pid{{{*/
-int    Vertex::Pid(void){ return pid; }
-/*}}}*/
-/*FUNCTION Vertex::UpdatePosition {{{*/
-void  Vertex::UpdatePosition(Vector<IssmDouble>* vx,Vector<IssmDouble>* vy,Vector<IssmDouble>* vz,Parameters* parameters,IssmDouble* surface,IssmDouble* bed){
+int        Vertex::Sid(void){ return sid; }/*{{{*/
+/*}}}*/
+int        Vertex::Pid(void){ return pid; }/*{{{*/
+/*}}}*/
+void       Vertex::UpdatePosition(Vector<IssmDouble>* vx,Vector<IssmDouble>* vy,Vector<IssmDouble>* vz,Parameters* parameters,IssmDouble* surface,IssmDouble* bed){/*{{{*/
 
 	IssmDouble oldy,newy,vely;
@@ -155,6 +140,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::DistributePids{{{*/
-void  Vertex::DistributePids(int* ppidcount){
+void       Vertex::DistributePids(int* ppidcount){/*{{{*/
 
 	/*retrieve current pid*/
@@ -172,6 +156,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::OffsetPids{{{*/
-void  Vertex::OffsetPids(int pidcount){
+void       Vertex::OffsetPids(int pidcount){/*{{{*/
 
 	/*This vertex is a clone, don't offset the pids*/
@@ -182,6 +165,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::ShowTruePids{{{*/
-void  Vertex::ShowTruePids(int* truepids){
+void       Vertex::ShowTruePids(int* truepids){/*{{{*/
 
 	/*Are we a clone? : */
@@ -192,6 +174,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::UpdateClonePids{{{*/
-void  Vertex::UpdateClonePids(int* alltruepids){
+void       Vertex::UpdateClonePids(int* alltruepids){/*{{{*/
 
 	/*If we are not a clone, don't update, we already have pids: */
@@ -203,6 +184,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::SetClone {{{*/
-void  Vertex::SetClone(int* minranks){
+void       Vertex::SetClone(int* minranks){/*{{{*/
 
 	int my_rank;
@@ -222,6 +202,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::ToXYZ {{{*/
-void  Vertex::ToXYZ(Matrix<IssmDouble>* matrix){
+void       Vertex::ToXYZ(Matrix<IssmDouble>* matrix){/*{{{*/
 
 	IssmDouble xyz[3];
@@ -240,6 +219,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertex::VertexCoordinates {{{*/
-void  Vertex::VertexCoordinates(Vector<IssmDouble>* vx,Vector<IssmDouble>* vy,Vector<IssmDouble>* vz){
+void       Vertex::VertexCoordinates(Vector<IssmDouble>* vx,Vector<IssmDouble>* vy,Vector<IssmDouble>* vz){/*{{{*/
 
 	if (this->clone==true) return;
Index: issm/trunk/src/c/classes/Vertices.cpp
===================================================================
--- issm/trunk/src/c/classes/Vertices.cpp	(revision 18081)
+++ issm/trunk/src/c/classes/Vertices.cpp	(revision 18301)
@@ -24,12 +24,10 @@
 
 /*Object constructors and destructor*/
-/*FUNCTION Vertices::Vertices(){{{*/
-Vertices::Vertices(){
+Vertices::Vertices(){/*{{{*/
 	enum_type=VerticesEnum;
 	return;
 }
 /*}}}*/
-/*FUNCTION Vertices::~Vertices(){{{*/
-Vertices::~Vertices(){
+Vertices::~Vertices(){/*{{{*/
 	return;
 }
@@ -37,6 +35,5 @@
 
 /*Numerics management*/
-/*FUNCTION Vertices::DistributePids{{{*/
-void  Vertices::DistributePids(int numberofobjects){
+void  Vertices::DistributePids(int numberofobjects){/*{{{*/
 
 	int num_procs;
@@ -102,6 +99,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertices::FlagClones{{{*/
-void  Vertices::FlagClones(int numberofobjects){
+void  Vertices::FlagClones(int numberofobjects){/*{{{*/
 
 	int i;
@@ -142,6 +138,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertices::NumberOfVertices{{{*/
-int Vertices::NumberOfVertices(void){
+int Vertices::NumberOfVertices(void){/*{{{*/
 
 	int i,sid;
@@ -166,6 +161,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertices::Ranks{{{*/
-void   Vertices::Ranks(int* ranks){
+void   Vertices::Ranks(int* ranks){/*{{{*/
 
 	int my_rank;
@@ -184,6 +178,5 @@
 }
 /*}}}*/
-/*FUNCTION Vertices::ToXYZ{{{*/
-IssmDouble* Vertices::ToXYZ(void){
+IssmDouble* Vertices::ToXYZ(void){/*{{{*/
 
 	/*intermediary: */
